# Zeiterfassung
# Nice GUI UI

from nicegui import ui
from nicegui.events import ValueChangeEventArguments

def site_pinpad():

    keys = [
        [ 1, 2, 3],
        [ 4, 5, 6],
        [ 7, 8, 9],
        [ "<-", 0, "OK"]
    ]

    with ui.row():
        for y, row in enumerate(keys, 1):
            for x, key in enumerate(row):
                button = ui.Button(text=keys[y][x])

    ui.run(port=8090)

site_pinpad()